Package org.drinkless.tdlib

# Class TdApi.DirectMessagesChatTopic

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DirectMessagesChatTopic

Enclosing class:
  `TdApi`

public static class TdApi.DirectMessagesChatTopic extends TdApi.Object
Contains information about a topic in a channel direct messages chat administered by the current user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canSendUnpaidMessages`
  True, if the other party can send unpaid messages even if the chat has paid messages enabled.
  `long`
  `chatId`
  Identifier of the chat to which the topic belongs.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DraftMessage`
  `draftMessage`
  A draft of a message in the topic; may be null if none.
  `long`
  `id`
  Unique topic identifier.
  `boolean`
  `isMarkedAsUnread`
  True, if the topic is marked as unread.
  `TdApi.Message`
  `lastMessage`
  Last message in the topic; may be null if none or unknown.
  `long`
  `lastReadInboxMessageId`
  Identifier of the last read incoming message.
  `long`
  `lastReadOutboxMessageId`
  Identifier of the last read outgoing message.
  `long`
  `order`
  A parameter used to determine order of the topic in the topic list.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the user or chat that sends the messages to the topic.
  `long`
  `unreadCount`
  Number of unread messages in the chat.
  `long`
  `unreadReactionCount`
  Number of messages with unread reactions in the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectMessagesChatTopic()`
  Contains information about a topic in a channel direct messages chat administered by the current user.
  `DirectMessagesChatTopic(long chatId, long id, TdApi.MessageSender senderId, long order, boolean canSendUnpaidMessages, boolean isMarkedAsUnread, long unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, long unreadReactionCount, TdApi.Message lastMessage, TdApi.DraftMessage draftMessage)`
  Contains information about a topic in a channel direct messages chat administered by the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to which the topic belongs.

  - ### id

    public long id
    Unique topic identifier.

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of the user or chat that sends the messages to the topic.

  - ### order

    public long order
    A parameter used to determine order of the topic in the topic list. Topics must be sorted by the order in descending order.

  - ### canSendUnpaidMessages

    public boolean canSendUnpaidMessages
    True, if the other party can send unpaid messages even if the chat has paid messages enabled.

  - ### isMarkedAsUnread

    public boolean isMarkedAsUnread
    True, if the topic is marked as unread.

  - ### unreadCount

    public long unreadCount
    Number of unread messages in the chat.

  - ### lastReadInboxMessageId

    public long lastReadInboxMessageId
    Identifier of the last read incoming message.

  - ### lastReadOutboxMessageId

    public long lastReadOutboxMessageId
    Identifier of the last read outgoing message.

  - ### unreadReactionCount

    public long unreadReactionCount
    Number of messages with unread reactions in the chat.

  - ### lastMessage

    @Nullable public TdApi.Message lastMessage
    Last message in the topic; may be null if none or unknown.

  - ### draftMessage

    @Nullable public TdApi.DraftMessage draftMessage
    A draft of a message in the topic; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DirectMessagesChatTopic

    public DirectMessagesChatTopic()
    Contains information about a topic in a channel direct messages chat administered by the current user.

  - ### DirectMessagesChatTopic

    public DirectMessagesChatTopic(long chatId, long id, TdApi.MessageSender senderId, long order, boolean canSendUnpaidMessages, boolean isMarkedAsUnread, long unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, long unreadReactionCount, TdApi.Message lastMessage, TdApi.DraftMessage draftMessage)
    Contains information about a topic in a channel direct messages chat administered by the current user.
    Parameters:
      `chatId` - Identifier of the chat to which the topic belongs.
      `id` - Unique topic identifier.
      `senderId` - Identifier of the user or chat that sends the messages to the topic.
      `order` - A parameter used to determine order of the topic in the topic list. Topics must be sorted by the order in descending order.
      `canSendUnpaidMessages` - True, if the other party can send unpaid messages even if the chat has paid messages enabled.
      `isMarkedAsUnread` - True, if the topic is marked as unread.
      `unreadCount` - Number of unread messages in the chat.
      `lastReadInboxMessageId` - Identifier of the last read incoming message.
      `lastReadOutboxMessageId` - Identifier of the last read outgoing message.
      `unreadReactionCount` - Number of messages with unread reactions in the chat.
      `lastMessage` - Last message in the topic; may be null if none or unknown.
      `draftMessage` - A draft of a message in the topic; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR